<?php
// $Id: CqListenerQuestionInterface.class.php,v 1.1 2010/11/15 14:50:12 hylkevds Exp $

/**
 * @file
 * Defines the events a question listener can listen for.
 */
interface CqListenerQuestionInterface {

  /**
   * Fired when the question is solved for the first time.
   *
   * @param int $tries
   *   Number of tries needed.
   */
  public function FirstSolutionFound($tries);

  /**
   * Fired when the question is generating it's feedback items, in case
   * the listener wants to add items of it's own.
   *
   * @param CqQuestionInterface $caller
   *   The quetsion that wants to know if there is extra feedback to display.
   * @param int $tries
   *   Number of tries needed.
   */
  public function getExtraFeedbackItems($caller, $tries);
}

